Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002483TestLinkGeneralpublic2009-05-06 20:212010-01-13 21:43
Reporterkeeyou 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.8.3 
Summary0002483: Variable $linkto not defined before use as a function call argument in req_tree_menu.php
DescriptionIn reg_tree_menu.php in function render_req_tree_node there is a function call in which variable $linkto is passed as one of the arguments. Problem is, this variable is not initialized before. Consider following code fragment:

function render_req_tree_node($level,&$node,$getArguments,$hash_id_descr,$show_node_id=0)
{
    $node_type = $hash_id_descr[$node['node_type_id']];

    if (TL_TREE_KIND == 'JTREE')
        $menustring = jtree_render_req_node_open($node,$node_type,$show_node_id);
    else if (TL_TREE_KIND == 'DTREE')
        $menustring = dtree_render_req_node_open($node,$node_type,$getArguments,$show_node_id);
    else
    
        $menustring = layersmenu_render_req_node_open($node,$node_type,$linkto,$getArguments,$level,$show_node_id);

This results in:
- an error as shown in the attachement
- warning in the TestLink event viewer: "E_NOTICE Undefined variable: linkto - in /devel/testlink_182/lib/functions/req_tree_menu.php - Line 189"

TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE6
PHP Version5.2
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon error1.PNG [^] (68,446 bytes) 2009-05-06 20:21

- Relationships

-  Notes
(0006783)
schlundus (reporter)
2009-05-08 01:11

Fixed (code no longer present in 1.9)

- Issue History
Date Modified Username Field Change
2009-05-06 20:21 keeyou New Issue
2009-05-06 20:21 keeyou File Added: error1.PNG
2009-05-06 20:21 keeyou Browser => IE6
2009-05-06 20:21 keeyou PHP Version => 5.2
2009-05-08 00:57 schlundus Status new => assigned
2009-05-08 00:57 schlundus Assigned To => schlundus
2009-05-08 01:11 schlundus Note Added: 0006783
2009-05-08 01:11 schlundus Status assigned => resolved
2009-05-08 01:11 schlundus Fixed in Version => 1.8.3 (bug fixing)
2009-05-08 01:11 schlundus Resolution open => fixed
2010-01-13 21:43 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker